summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authornarindergupta <narinder.gupta@canonical.com>2017-08-17 14:23:32 -0500
committernarindergupta <narinder.gupta@canonical.com>2017-08-17 14:23:32 -0500
commit46d324c59c8791d0e54cafc00b3e2ccaf9adf269 (patch)
tree5c765b9f066c2adb9d76b39d638b75ce0ce86f73 /ci/deploy.sh
parent98d540cb9776e35e7d77c6544b9fa787c973d4a0 (diff)
delete pod if exist during maas deployment.
Change-Id: Id045671934696ff96d46079c0f1a8e0ea2a172c2 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 3985896e..2792759f 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -210,7 +210,8 @@ deploy() {
do
maas $PROFILE machine delete $m || true
done
- maas $PROFILE pod delete 1 || true
+ podno=$(maas $PROFILE pods read | jq -r ".[]".id)
+ maas $PROFILE pod delete $podno || true
./cleanvm.sh || true